fangwell-combo
Combo handler for express applications
Last updated 4 years ago by wdy0504 .
BSD · Original npm · Tarball · package.json
$ cnpm install fangwell-combo 
SYNC missed versions from official npm registry.

Installation

Install using npm:

$ npm install fangwell-combo

Usage

var express = require('express'),
    app = express(),
    statichandler = require('express-combo');

statichandler.userCache = true;

app.get('/static', statichandler.folder('public', 'full/path/to/folder/'));

app.get('/static', statichandler.map('protected', {
    'something/foo.js": "full/path/to/something/foo.js',
    'bar.js": "full/path/to/something/bar.js'
}));

app.get('/static', statichandler.combine({
    comboBase: '/combo~',
    comboSep: '~'
}));

Current Tags

  • 0.0.2                                ...           latest (4 years ago)

2 Versions

  • 0.0.2                                ...           4 years ago
  • 0.0.1                                ...           4 years ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 2
Last Day 0
Last Week 0
Last Month 2
Dependencies (6)
Dev Dependencies (0)
None
Dependents (0)
None

Copyright 2014 - 2016 © taobao.org |